<div class="animated fadeIn" *ngIf="!flagShowForm">

  <kendo-grid [data]="dataGrid"
              [selectable]="true"
              [navigable]="true"
              [reorderable]="true"
              [resizable]="true"
              [sort]="sort"
              [sortable]="true"
              (edit)="editRow($event)"
              (remove)="deleteRow($event)">
    <kendo-grid-column field="pfecha" title="Fecha"></kendo-grid-column>
    <kendo-grid-column field="pscom" title="# Comanda"></kendo-grid-column>
    <kendo-grid-column field="pturno" title="# Turno"></kendo-grid-column>
    <kendo-grid-command-column title="Actions" width="190">
      <ng-template kendoGridCellTemplate let-isNew="isNew">
        <button kendoGridEditCommand [primary]="true">Editar</button>
      </ng-template>
    </kendo-grid-command-column>
  </kendo-grid>

</div>

<div class="animated fadeIn" *ngIf="flagShowForm">
  <form [formGroup]="myFormGroup">
    <div class="row d-flex justify-content-center">
      <div class="form-group">
        <label class="w-100">Fecha</label>
        <kendo-datepicker name="pfecha"
                          [format]="'yyyy-MM-dd'"
                          [(ngModel)]="fechaEdit"
                          [ngModelOptions]="{standalone:true}">
        </kendo-datepicker>
      </div>
      <div class="form-group">
        <label>Turno</label>
        <input type="number" class="form-control" name="pturno"
               [(ngModel)]="myFormGroup.value.pturno" formControlName="pturno">
      </div>
    </div>
    <div class="row d-flex justify-content-center my-3">
      <button type="button" class="btn btn-success" [disabled]="myFormGroup.status === 'INVALID'"
              (click)="guardarForm();">
        Guardar
      </button>
      <button type="button" class="btn btn-light ml-1" (click)="closeForm();">
        Cerrar
      </button>
    </div>
  </form>
</div>
